globus_gssapi_error_accessor(3)

NAME
globus_gssapi_error_accessor - Error Data Accessors and Modifiers

 - Error Data Accessors and Modifiers.

SYNOPSIS

  Functions

OM_uint32 globus_error_gssapi_get_major_status (globus_object_t *error)
Get Major Status.
void globus_error_gssapi_set_major_status (globus_object_t *error, const OM_uint32 major_status)
Set Major Status.
OM_uint32 globus_error_gssapi_get_minor_status (globus_object_t *error)
Get Minor Status.

Detailed Description

Error Data Accessors and Modifiers.

Get and set data in a Globus GSSAPI Error object.

This section defines operations for accessing and modifying data in a Globus GSSAPI Error object.

Function Documentation

  OM_uint32 globus_error_gssapi_get_major_status (globus_object_t * error)

Get Major Status. Retrieve the major status from a GSSAPI error object.

Parameters
    error The error from which to retrieve the major status

Returns
    The major status stored in the object

  OM_uint32 globus_error_gssapi_get_minor_status (globus_object_t * error)

Get Minor Status. Retrieve the minor status from a gssapi error object.

Parameters
    error The error from which to retrieve the minor status

Returns
    The minor status stored in the object

  void globus_error_gssapi_set_major_status (globus_object_t * error, const OM_uint32 major_status)

Set Major Status. Set the major status in a GSSAPI error object.

Parameters
    error The error object for which to set the major status
    major_status The major status

Author

Generated automatically by Doxygen for globus_gssapi_error from the source code.